Description

the PBI device i am testing is the IDE2+ external interface that plugs to the PBI port

when i reset the computer with the START key pressed the IDE2+ menu should appear.

on a real atari it does but not on the ExlaireXL board

Related issues:

Related to Feature #2: PBI support Closed 04/04/2017

Related to Bug #44: CORE 11 - Bug in PBI - EclaireXL will not boot with IDE2+... Closed 06/08/2017

Related to Bug #45: CORE10 - IDE2+ SDX not working Closed 06/09/2017

History

#1 - 06/08/2017 05:36 PM - foft

Does the rest of it work, just not the menu?

Do you have a logic analyzer? I can outputs some signals on the gpio for debugging.

Do you have any technical documentation, schematics etc?

#2 - 06/08/2017 06:34 PM - foft

Perhaps we can test it by poking/peeking regs from basic...

#3 - 06/08/2017 06:45 PM - ndary

no, i dont have a logic analyzer or the schematics...

let me see what info i can gather

#4 - 06/08/2017 07:21 PM - ndary

- File Setting Up the IDE+2 Rev E.doc added

i found this document.. can it be missing voltage on the PBI port?

the interface seems to work on the Eclair, when i press one of its buttons the LEDS respond.. but the menu will not boot

DOES ANYONE HERE HAVE THE BLACK BOX OR THE MIO INTERFACE to test?

Nir

#5 - 06/08/2017 07:31 PM - sadosp

Nir,

If you power on eclaireXL and go to Basic, after keep down the start key and simultaneously press and leave the F10, after the IDE2+ menu appears?

#6 - 06/08/2017 08:09 PM - ndary

no it does not, i already tried it Panos

Nir

#7 - 06/08/2017 08:34 PM - foft

There is 5V on pin 47 and pin 48.

I see it drives EXSEL and MPD. I thought I'm handling that case properly, but I can check...
#8 - 06/08/2017 09:01 PM - foft

I checked MPD...

If MPD and EXTSEL are used in conjunction that seems to work fine.

If just MPD is used to expose the ram under the OS that does not work. I doubt it uses that, but I should still fix it.

#9 - 06/08/2017 09:38 PM - foft

Found an issue with RST_N. I had disconnected it in v10 (I forgot) because when I reset the freezer broke. Well I was just pulling it low for reset, then

going high impedance for high. However there is no pull up on it! So I need to drive RST_N high...

I wonder if the IDE2+ needs rst_n.

#10 - 06/08/2017 09:38 PM - foft

- Related to Feature #2: PBI support added

#11 - 06/08/2017 09:39 PM - foft

SO in v10 RST_N was just floating...

#12 - 06/09/2017 08:22 PM - foft

- Related to Bug #44: CORE 11 - Bug in PBI - EclaireXL will not boot with IDE2+ Is connected and when Turbo Freezer connected goes directly to

Cart EMU not main screen added

#13 - 06/09/2017 08:23 PM - foft

IDEPlus info from Simius:

IDE+ detaches OS ROM between $D800 and $DFFF and plug his own memory there. I uses also $D1xx page and $A000...$BFFF area for SDX

IDE+ uses all PBI signals, except: RAS, CAS, RDY, REF, EXTENB and AUDIO

IDE+ latches the address bus (always) about 80ns before rising edge of PHI2 and the data bus (during write cycles) about 80ns before falling edge.

#14 - 06/09/2017 09:38 PM - Stephen

ndary wrote:

i found this document.. can it be missing voltage on the PBI port?

the interface seems to work on the Eclair, when i press one of its buttons the LEDS respond.. but the menu will not boot

DOES ANYONE HERE HAVE THE BLACK BOX OR THE MIO INTERFACE to test?

Nir

 Nir, I do have a 256kB MIO.  Two issues.  First I don't know if it works, as I don't believe I've ever even turned it on since I bought it.  Second, I have

no SCSI interface drives to test it with.  Most I could hope to do is see if the menu comes up.  I am trying to locate a SCSI drive.

#15 - 06/09/2017 09:44 PM - foft

- Related to Bug #45: CORE10 - IDE2+ SDX not working added

#16 - 06/09/2017 09:45 PM - ndary

can you confirm that you get to the MIO Menu?

Nir

#17 - 06/09/2017 11:40 PM - Stephen

ndary wrote:

can you confirm that you get to the MIO Menu?

Nir

 After dinner I will find a power supply for the MIO.  First I have to confirm it works on real hardware, and then yes, I will let you guys know if it works

with CORE11 (or 10).

#18 - 06/11/2017 12:11 PM - foft

More info from Simus:
$D800..$DDFF is a ROM, $DE00...$DFFF is a RAM.

MPD is kept low all the time when apropriated bit in PDVREG ($D1FF) is set. EXTSEL is pulled down 40-50ns after one of two conditions occured:

1. MPD is low and address bus is $D800...$DFFF.

2. SDX is on and address bus is $A000...$BFFF

...and released 40-50ns after these conditions are terminated.

Latch signals are generated by HCT123A monostable multivibrator. Pulse width is set at 180ns and is triggered by falling (address) and rising (data)

edge of PHI2. With a propagation delays it does ca. 200ns.

#19 - 06/11/2017 05:45 PM - ndary

Tested and working on Core 13, need other guys to test on MIO and BlackBox

Nir

#20 - 01/09/2018 08:45 PM - foft

- Status changed from New to Closed

Marking as closed since the IDE2+ itself seems to work. Would be nice to test the black box and MIO but if someone does and finds an issue that

than be raised elsewhere.
